/* Object Rexx (message operator is the tilde: ~) */
/* this version works on Java 1.2 and higher, *not* on 1.1 (see other variants which work on Java 1.1), 2003-05-10 */

system=.bsf4rexx ~ Class.class ~ forName("java.lang.System")  -- get the "System" class object

properties=system~getProperties     -- get the System properties
enum=properties~propertyNames       -- get an enumeration of the property names
say copies("=", 70)

do while enum~hasMoreElements       -- loop over enumeration
   key=enum~nextElement             -- get next element
   say "key:" left("["key"]", 30) "value: ["properties~getProperty(key)"]"
end


::requires "BSF.cls" -- get the Object Rexx support for bsf4rexx
